load mydata
N=length(myinput);
uJesus=myinput;
d=2;

R=100;
L=0.001;
C=25.4e-6;

a=R*C;
b=R/L;

theta=[a;b];


y=model(theta,uJesus);
J=Jacobian(theta,uJesus);
Sigma1=covariance(uJesus);

%design our u


u2=sin([1:N]/1000*15*2*pi) ;
y2=model(theta,u2);
J2=Jacobian(theta,u2);
Sigma2=covariance(u2);

%compare ellipsoids
%Compute eigenvalues and eigenvectors for estimators
[V1,D1] = eig(Sigma1); % eigenvalues and eigenvectors
[V2,D2] = eig(Sigma2); % eigenvalues and eigenvectors
%Generate coordinates of 50 points on a unit circle
xy=[cos(linspace(0,2*pi,50)); sin(linspace(0,2*pi,50))];
%Generate the points of the confidence ellipse
xy_ellipse1 = V1*sqrt(D1)*xy;
xy_ellipse2 = V2*sqrt(D2)*xy;
plot(xy_ellipse1(1,:),xy_ellipse1(2,:),'red', ...
    xy_ellipse2(1,:),xy_ellipse2(2,:), 'green')

d1=det(Sigma1)
d2=det(Sigma2)


